/**
 * @license
 * Copyright Alibaba.com All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/NG-ZORRO/ng-zorro-antd/blob/master/LICENSE
 */
import { ChangeDetectorRef, EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges, TemplateRef } from '@angular/core';
import { NzSafeAny } from 'ng-zorro-antd/core/types';
import { NzI18nInterface, NzI18nService } from 'ng-zorro-antd/i18n';
import { NzThFilterType, NzThItemInterface } from '../table.types';
import { NzFilterTriggerComponent } from './filter-trigger.component';
import * as i0 from "@angular/core";
export declare class NzTableFilterComponent implements OnChanges, OnDestroy, OnInit {
    private cdr;
    private i18n;
    contentTemplate: TemplateRef<NzSafeAny> | null;
    customFilter: boolean;
    extraTemplate: TemplateRef<NzSafeAny> | null;
    filterMultiple: boolean;
    listOfFilter: NzThFilterType;
    readonly filterChange: EventEmitter<any>;
    private destroy$;
    locale: NzI18nInterface['Table'];
    isChanged: boolean;
    isFilterIconActivated: boolean;
    listOfParsedFilter: NzThItemInterface[];
    trackByValue(_: number, item: NzThItemInterface): NzSafeAny;
    check(filter: NzThItemInterface): void;
    confirm(filterTrigger: NzFilterTriggerComponent): void;
    reset(filterTrigger: NzFilterTriggerComponent): void;
    onVisibleChange(value: boolean): void;
    onFilterChange(): void;
    parseListOfFilter(listOfFilter: NzThFilterType, reset?: boolean): NzThItemInterface[];
    getActivatedStatus(listOfParsedFilter: NzThItemInterface[]): boolean;
    constructor(cdr: ChangeDetectorRef, i18n: NzI18nService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDef<NzTableFilterComponent>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<NzTableFilterComponent, "nz-table-filter", never, { "contentTemplate": "contentTemplate"; "customFilter": "customFilter"; "extraTemplate": "extraTemplate"; "filterMultiple": "filterMultiple"; "listOfFilter": "listOfFilter"; }, { "filterChange": "filterChange"; }, never>;
}
